Subject: [core] MULTIPART-CT: A few editorial comments

From: Christer Holmberg <[email-masked]>
Date: Tue, 23 Jul 2019 14:53:24 +0000

Hi,

A few minor editorial comments on draft-ietf-core-multipart-ct-03:

(I haven’t read the IESG review comments, so my apologies if someone has already raised these comments)

---

Q1:

The Introduction says talks about “request or response body’.

However, when looking in RFC 7252, I don’t find ‘body’ anywhere.

I assume that ‘body’ refers to what RFC 7252 calls ‘payload’. If so, I suggest aligning the terminology.

(For some reason section 10.2.3 of RFC 7252 does use ‘message-body’, without any explanation or reference, but I guess that is just an error)

---

Q2:

Related to Q1, the text says:

   “can be used to combine representations of zero or more different media types into a single message”

I assume it means ‘single message payload’? Because, you are not combing other parts (Codes, Tokens etc) of the message, are you?

I think it would be more clear if you said ‘combine multiple representations, each using the same or different media types, into a single message payload’.

---

Q3: The draft uses both ‘media type’ and ‘media-type’. RFC 7252 uses ‘media type’ (there is one instance of ‘media-type’, though), so maybe align with that?

Regards,

Christer